%define module  Term-ReadLine-Perl
%define name    perl-%{module}
%define version 1.0302
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to readline libraries
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Term/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a quick implementation of the minimal interface to Readline
libraries. The implementation is made in Perl (mostly) by Jeffrey
Friedl. The only thing this library does is to make it conformant (and
add some minimal changes, like using Term::ReadKey if present, and
correct work under xterm). 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# useless in non-interactive context

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Term



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0302-2mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0302-2mdv2008.0
+ Revision: 86952
- rebuild


* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0302-1mdv2007.0
- New release 1.0302

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0208-2mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0208-1mdk
- New release 1.0208

* Wed Mar 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0207-2mdk
- fix summary
- fix directory ownership

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0207-1mdk
- New release 1.0207
- spec cleanup

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0203-2mdk
- Fix url
- Make rpmbuildupdate happy

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0203-1mdk
- from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap.

